ERR_remove_state(3) | OpenSSL | ERR_remove_state(3)

# NAME

ERR_remove_state - free a thread's error queue

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/err.h>
void ERR_remove_state(unsigned long pid);

# DESCRIPTION

ERR_remove_state() frees the error queue associated with thread pid. If pid == 0, the current thread will have its error queue removed.

Since error queue data structures are allocated automatically for new threads, they must be freed when threads are terminated in order to avoid memory leaks.

# RETURN VALUE

ERR_remove_state() returns no value.

# SEE ALSO

openssl_err(3)

# HISTORY

ERR_remove_state() is available in all versions of SSLeay and OpenSSL.

2009-07-19 | 1.0.1u